cURL
curl --request POST \
--url https://sandbox.withclasp.com/members/{public_id}/qualifying_life_event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2023-12-25"
}
'import requests
url = "https://sandbox.withclasp.com/members/{public_id}/qualifying_life_event"
payload = { "date": "2023-12-25" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2023-12-25'})
};
fetch('https://sandbox.withclasp.com/members/{public_id}/qualifying_life_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"enrolled_plans": [
{
"id": "<string>",
"enrollment": "<string>",
"plan": "<string>",
"enrolled_dependents": [
{
"id": "<string>",
"plan": "<string>",
"dependent": "<string>",
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z",
"eoi_status": "required"
}
],
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"premium": "<string>",
"employer_contribution": "<string>",
"member_contribution": "<string>",
"payroll_provider_external_id": "<string>",
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z",
"eoi_status": "required"
}
],
"member": "<string>",
"category": "qle",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"status": "not_started",
"created_at": "2023-11-07T05:31:56Z",
"coverage_waivers": [
{
"line_of_coverage": "accident",
"reason": "covered_as_dependent",
"member": "<string>",
"dependent": "<string>"
}
],
"reason": "new_child",
"change_date": "2023-12-25",
"qualifying_life_event_documents": [
"<string>"
],
"metadata": {}
}Members
Create Qualifying Life Event
Creates a qualified life event (QLE) for a member. This will create an enrollment object that needs to be approved and submitted to the carrier.
POST
/
members
/
{public_id}
/
qualifying_life_event
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
new_child- New Childadopted_child- Adopted Childmarriage- Marriagedependent_lost_coverage- Dependent Lost Coveragedependent_gained_coverage- Dependent Gained Coveragedependent_relocated_in_network- Dependent Relocated In Networkdependent_court_order- Dependent Court Orderdivorce- Divorcedomestic_partnership- Domestic Partnershiprelocated- Relocatedlost_coverage- Lost Coveragedeath- Deathrehire- Rehireleave_of_absence- Leave Of Absenceemployment_change- Employment Changedependent_employment_change- Dependent Employment Changenew_eligibility- New Eligibilitygain_coverage- Gain Coveragesignificant_plan_change- Significant Plan Changedependent_aged_out- Dependent Aged Outcitizenship_change- Citizenship Changerelease_from_incarceration- Release From Incarcerationmedicare_eligible- Medicare Eligible
Available options:
new_child, adopted_child, marriage, dependent_lost_coverage, dependent_gained_coverage, dependent_relocated_in_network, dependent_court_order, divorce, carrier_sync, domestic_partnership, relocated, lost_coverage, death, rehire, leave_of_absence, employment_change, dependent_employment_change, new_eligibility, gain_coverage, significant_plan_change, dependent_aged_out, citizenship_change, release_from_incarceration, medicare_eligible Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Show child attributes
Show child attributes
qle- Qleopen_enrollment- Open Enrollmentcarrier_sync- Carrier Sync
Available options:
qle, open_enrollment, carrier_sync not_started- Not Startedpending- Pendingapproved- Approvedsynced- Syncedcancelled- Cancelledfailed- Failed
Available options:
not_started, pending, approved, synced, cancelled, failed Show child attributes
Show child attributes
new_child- New Childadopted_child- Adopted Childmarriage- Marriagedependent_lost_coverage- Dependent Lost Coveragedependent_gained_coverage- Dependent Gained Coveragedependent_relocated_in_network- Dependent Relocated In Networkdependent_court_order- Dependent Court Orderdivorce- Divorcedomestic_partnership- Domestic Partnershiprelocated- Relocatedlost_coverage- Lost Coveragedeath- Deathnew_hire- New Hireterminated- Terminatedrehire- Rehireleave_of_absence- Leave Of Absenceopen_enrollment- Open Enrollmentpassive_open_enrollment- Passive Open Enrollmentemployment_change- Employment Changedependent_employment_change- Dependent Employment Changenew_eligibility- New Eligibilitygain_coverage- Gain Coveragesignificant_plan_change- Significant Plan Changedependent_aged_out- Dependent Aged Outcitizenship_change- Citizenship Changerelease_from_incarceration- Release From Incarcerationmedicare_eligible- Medicare Eligibletax_advantaged_contribution_change- Tax Advantaged Contribution Change
Available options:
new_child, adopted_child, marriage, dependent_lost_coverage, dependent_gained_coverage, dependent_relocated_in_network, dependent_court_order, divorce, carrier_sync, domestic_partnership, relocated, lost_coverage, death, new_hire, terminated, rehire, leave_of_absence, open_enrollment, passive_open_enrollment, employment_change, dependent_employment_change, new_eligibility, gain_coverage, significant_plan_change, dependent_aged_out, citizenship_change, release_from_incarceration, medicare_eligible, tax_advantaged_contribution_change Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes